<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>1393567054187068416</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1650421516472</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetRelationOrg(proorpurorg, '0', '', '02', true)</Expression>
                          <Description>供应委托采购</Description>
                          <ExprTran>GetRelationOrg(供应组织, '0', '', '02', true)</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>dept</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetFieldValue('bos_user', 'dpt', 'id', GetCurrUserId() )</Expression>
                          <Description/>
                          <ExprTran>GetFieldValue('bos_user', 'dpt', 'id', GetCurrUserId() )</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>539008374826629120</Expression>
                          <Description/>
                          <ExprTran>标准采购申请单</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>billtype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>422857170485263360</Expression>
                          <Description/>
                          <ExprTran>物料类采购</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>biztype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>bizuser</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetCurrUserId()</Expression>
                          <Description>当前用户</Description>
                          <ExprTran>GetCurrUserId()</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>material</TargetFieldKey>
                      <SourceFieldKey>material</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxpty</TargetFieldKey>
                      <SourceFieldKey>auxproperty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseqty</TargetFieldKey>
                      <SourceFieldKey>surplusdropqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseunit</TargetFieldKey>
                      <SourceFieldKey>unit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>materialname</TargetFieldKey>
                      <SourceFieldKey>material.name</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxunit</TargetFieldKey>
                      <SourceFieldKey>material.auxptyunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>1194150915045641216</Expression>
                          <Description/>
                          <ExprTran>物资</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>linetype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>entryreqorg</TargetFieldKey>
                      <SourceFieldKey>org</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverdate</TargetFieldKey>
                      <SourceFieldKey>availabledate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>entryrecorg</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetRelationOrg(GetRelationOrg(proorpurorg, '0', '', '02',true), '0', '02', '05',true)</Expression>
                          <Description>采购组织委托的收货组织</Description>
                          <ExprTran>GetRelationOrg(GetRelationOrg(供应组织, '0', '', '02',true), '0', '02', '05',true)</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>reqdate</TargetFieldKey>
                      <SourceFieldKey>availabledate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentity</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetSrcEntityNumber()</Expression>
                          <Description/>
                          <ExprTran>GetSrcEntityNumber()</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description>外购计划建议.内码</Description>
                          <ExprTran>外购计划建议.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbillnumber</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description>外购计划建议.内码</Description>
                          <ExprTran>外购计划建议.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <DisplayName>外购计划建议下推采购申请单插件</DisplayName>
                      <Description>外购计划建议下推采购申请单处理币别取值</Description>
                      <ClassName>kd.scmc.im.formplugin.botp.InvPlanOrderBotpPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[],"forList":false}</FilterString>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>billentry</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>im_planorder</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <OptionPolicy>
                <OptionPolicy>
                  <MergeIntoLinkRow>true</MergeIntoLinkRow>
                  <PushMutex>true</PushMutex>
                  <OnlyReadBillTable>false</OnlyReadBillTable>
                </OptionPolicy>
              </OptionPolicy>
              <TargetEntityNumber>pm_purapplybill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>外购计划建议-采购申请单-转换规则</Name>
              <SourceEntityNumber>im_planorder</SourceEntityNumber>
              <Id>1393567054187068416</Id>
              <RunCondition>
                <CRCondition>
                  <Expression/>
                  <FilterString>{"filterRow":[{"id":"2C5F1CPDXH/G","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"2C5F1CPDVFK7","value":"C"}],"baseDataIds":[]},{"id":"2C5F1CPDXH/H","leftBracket":"","compareType":"21","fieldName":"surplusdropqty","rightBracket":"","logic":"0","value":[{"id":"2C5F1CPDVFK8","value":"0"}],"baseDataIds":[]}],"forList":false}</FilterString>
                  <FilterCondition>
                    <FilterCondition>
                      <FilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>billstatus</FieldName>
                          <RightBracket/>
                          <Id>2C5F1CPDXH/G</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>2C5F1CPDVFK7</Id>
                              <Value>C</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                        <SimpleFilterRow>
                          <CompareType>21</CompareType>
                          <FieldName>surplusdropqty</FieldName>
                          <RightBracket/>
                          <Id>2C5F1CPDXH/H</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>2C5F1CPDVFK8</Id>
                              <Value>0</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                      </FilterRow>
                    </FilterCondition>
                  </FilterCondition>
                  <Description/>
                  <ExprTran>单据状态 等于 已审核 and 未投放数量 大于 0</ExprTran>
                </CRCondition>
              </RunCondition>
            </ConvertRuleElement>
          </RuleElement>
          <Id>1393567054187068416</Id>
          <CreateDate>1649326138000</CreateDate>
          <ParentId/>
          <MasterId/>
          <BizappId>=9Q86DR2P+Q</BizappId>
          <InheritPath/>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>1155589857720938496</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1650421516531</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>=9Q86DR2P+Q</BizappId>
      <TargetEntityNumber>pm_purapplybill</TargetEntityNumber>
      <SourceEntityNumber>im_planorder</SourceEntityNumber>
      <Id>1393567054187068416</Id>
      <InheritPath></InheritPath>
      <CreateDate>1649326138000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
